%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

# "fix" underlinking:
%define _disable_ld_no_undefined 1

Name:           ocaml-integers
Version:        0.7.0
Release:        %mkrel 2
Summary:        Various signed and unsigned integer types for OCaml
Group:          Development/OCaml

License:        MIT
URL:            https://github.com/yallop/ocaml-integers
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         %{name}-stdlib-shims.patch

BuildRequires:  ocaml >= 4.02
BuildRequires:  ocaml-dune

# Do not require ocaml-compiler-libs at runtime
%global __ocaml_requires_opts -i Asttypes -i Build_path_prefix_map -i Cmi_format -i Env -i Format_doc -i Ident -i Identifiable -i Load_path -i Location -i Longident -i Misc -i Oprint -i Outcometree -i Parsetree -i Path -i Primitive -i Shape -i Subst -i Toploop -i Type_immediacy -i Types -i Unit_info -i Warnings

%description
The ocaml-integers library provides a number of 8-, 16-, 32- and 64-bit
signed and unsigned integer types, together with aliases such as `long`
and `size_t` whose sizes depend on the host platform.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -p1

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%license LICENSE.md
%doc CHANGES.md README.md

%files devel -f .ofiles-devel



%changelog
* Sun Jun 22 2025 daviddavid <daviddavid> 0.7.0-2.mga10
+ Revision: 2193751
- rebuild for ocaml 5.3.0

* Sat Oct 08 2022 pterjan <pterjan> 0.7.0-1.mga9
+ Revision: 1895620
- Update to 0.7.0

* Thu May 19 2022 pterjan <pterjan> 0.5.1-3.mga9
+ Revision: 1859010
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 0.5.1-2.mga9
+ Revision: 1833137
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 0.5.1-1.mga9
+ Revision: 1751107
- Version 0.5.1
- Reenable debuginfo

* Sat Mar 06 2021 tv <tv> 0.4.0-1.mga9
+ Revision: 1699944
- imported package ocaml-integers


* Sat Mar 06 2021 Thierry Vignaud <tv@mageia.org> 0.4.0-1.mga9
- import from FC

* Mon Mar  1 11:02:39 GMT 2021 Richard W.M. Jones <rjones@redhat.com> - 0.4.0-4
- Disable the debuginfo subpackages.
- Make the -doc subpackage conditional.

* Mon Mar  1 11:02:39 GMT 2021 Richard W.M. Jones <rjones@redhat.com> - 0.4.0-2
- OCaml 4.12.0 build

* Tue Feb 09 2021 Jerry James <loganjerry@gmail.com> - 0.4.0-1
- Initial package
